Description

History

#1 - 10/05/2020 07:32 AM - ali salman ifrahim

03_05_2020

worked on MCX1 S3

Modules that | worked on:

work order => complete

Reno Option =>compete

Exterior Capex => complete with both group by job and property
batch upload => partial complete

Files that | worked on:
view/aecapx/photo.php
view/aecapx/edit_real_estate.php
view/aecapx/aeview_data.php
Controller/Dashboard.php
Controller/Portfolio.php
view/renovation_option/photo.php
view/renovation_option/edit_reno_option_Job.php
upload_portfolio.php
upload_unitsimg

uploadbatchfile.php
Controller/Spot.php
Controller/Units.php
view/admin/batch_upload.php
view/units/edit_units_repairsJob.php
view/units/general_photo.php
view/units/photo.php
controller/Unit_renovation.php
upload.php

Created a backup almost every file on mcx1 directory with the name of: filename_030CT2020

@hira created a test job regarding workorder on MCX1 live.

| was able to run some test on my end to see if file is going right into S3 or not.

Coming to remaining modules where | integrated S3 | haven't able to confirm myself, because I'm not allowed to upload or update anything on Live.

But | double check everything on my end to make sure it work fine.

While Integrating first file on MCX1 S3 found a issue with curl, The code that were using to push file on S3 it was corrupting the file, the same code

were using on dev and it was working fine, but incase of MCX1 it cirrupts the file with file size, Did some rnd and fix the issue on MCX1 Live.
There are still some modules left where S3 haven't integrated yet. Will need to do it later.

#2 - 10/06/2020 06:06 AM - ali salman ifrahim

05_10_2020

there were some changes left on MCX1 live.
had a discussion with @hira

fixed those issues

#3 - 11/04/2020 02:29 PM - ali salman ifrahim

- Assignee changed from ali salman ifrahim to hira naseem
